package edu.nyu.scps.tablelayout;

import android.app.Activity;
import android.os.Bundle;
import android.text.Editable;
import android.view.KeyEvent;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;

public class TableLayoutActivity extends Activity {
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		final EditText[] editText = {
				(EditText)findViewById(R.id.federal),
				(EditText)findViewById(R.id.state),
				(EditText)findViewById(R.id.city)
		};
		final TextView total = (TextView)findViewById(R.id.total);

		//All three EditTexts will share the same listener.

		View.OnKeyListener listener = new View.OnKeyListener() {
			@Override
			public boolean onKey(View v, int keyCode, KeyEvent event) {

				//See if this keystroke resulted in a parsable number.
				try {
					EditText widget = (EditText)v;
					Editable editable = widget.getText();
					String string = editable.toString();
					Double.parseDouble(string);
				} catch (NumberFormatException exception) {
					//Arrive here if Double.parseDouble failed.
					return false;
				}

				double sum = 0;
				for (int i = 0; i < editText.length; ++i) {
					sum += Double.parseDouble(editText[i].getText().toString());
				}

				//Print money with two digits to right of decimal point
				total.setText(String.format("%.2f", sum));

				//Append the character that the user typed
				//to the string being accumulated in the EditText.
				return false;
			}
		};

		for (int i = 0; i < editText.length; ++i) {
			editText[i].setOnKeyListener(listener);
		}
	}
}